/* $Id: CurrentTextSearchActionListener.java 289 2011-08-03 15:02:08Z ohura $ */
package smart_gs.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;

import smart_gs.current_text_search.SearchDialogManager;
import smart_gs.swingui.WorkspaceWindow;
import sml_editor.swingui.EditorTextPane;

public class CurrentTextSearchActionListener implements ActionListener{
	public CurrentTextSearchActionListener(){
		
	}

	public void actionPerformed(ActionEvent e) {
//		SearchDialogManager.setGSEditorToolBar(WorkspaceWindow.getInstance().getGSEditorToolBar());
		if(SearchDialogManager.getGSEditorToolBar() != null){
			EditorTextPane editorTextPane = SearchDialogManager.getGSEditorToolBar().getEditorTextPane();
			editorTextPane.requestFocusX();
		}
		SearchDialogManager.visible();
	}
}
